﻿@model Test.Core.Product
@{
    ViewData["Title"] = Model != null && Model.Id == 0 ? "Create Product" : "Edit Product";
}
<form method="post" action="CreateOrEdit">
    <div class="card">
        <div class="card-header text-center fw-bolder bg-info">
            @ViewData["Title"]
        </div>
        <div class="card-body">
            <input type="hidden" asp-for="Id" />
            <div class="form-floating mb-2">
                <input type="text" class="form-control" asp-for="ProductName" placeholder="">
                <label asp-for="ProductName"></label>
                <span asp-validation-for="ProductName" class="text-danger"></span>
            </div>
            <div class="form-floating mb-2">
                <input type="number" class="form-control" asp-for="Price" placeholder="">
                <label asp-for="Price"></label>
                <span asp-validation-for="Price" class="text-danger"></span>
            </div>
            <div class="form-floating mb-2">
                <input type="number" class="form-control" asp-for="Qty" placeholder="">
                <label asp-for="Qty"></label>
                <span asp-validation-for="Qty" class="text-danger"></span>
            </div>
            <div class="d-grid">
                @if (Model != null && Model.Id == 0)
                {
                    <button type="submit" class="btn btn-primary">Submit</button>
                }
                else
                {
                    <button type="submit" class="btn btn-success">Update</button>
                }
            </div>
        </div>
    </div>
</form>
@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
}